Subject: Re: [PATCH] revision: allow pseudo options after --end-of-options

From: Junio C Hamano <[email-masked]>
Date: Mon, 12 Jul 2021 11:47:23 -0700

Jeff King <[email-masked]> writes:

> I don't think fully-qualifying refs is a complete solution, though. The
> common use case for --end-of-options is that you're passing along names
> from somewhere else, and you don't know how to qualify them. E.g., in:
>
>   git rev-list --end-of-options "$rev" --
>
> you need to behave differently if you got "1234abcd" versus "foo" versus
> "refs/heads/foo".

I suspect that you can prefix "^^" unconditionally, just like --not
can be emulated away by unconditionally prefixing "^".

> For --not, I do think using "^" is a complete solution. It's a little
> more work for the caller to prepend to each argument, but there's no
> policy logic they have to implement.